## cinnamon-session 5.6.0

=== debian/changelog ===
cinnamon-session (5.6.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Fabio Fantoni ]
  * New upstream version 5.6.0
  * d/patches: remove one patch applied upstream

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 18 Nov 2022 13:33:30 +0100

=== debian/control ===
Source: cinnamon-session
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Norbert Preining <norbert@preining.info>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Christoph Martin <martin@uni-mainz.de>
Build-Depends:
 debhelper-compat (= 13),
 gnome-pkg-tools,
 intltool,
 libcanberra-dev,
 libgl1-mesa-dev,
 libglib2.0-dev,
 libgtk-3-dev,
 libice-dev,
 libjson-glib-dev,
 libsm-dev,
 libsystemd-dev [linux-any],
 libupower-glib-dev,
 libx11-dev,
 libxapp-dev,
 libxau-dev,
 libxcomposite-dev,
 libxext-dev,
 libxrender-dev,
 libxt-dev,
 libxtst-dev,
 meson,
 xtrans-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: http://cinnamon.linuxmint.com
Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-session
Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-session.git

Package: cinnamon-session
Architecture: any
Depends:
 cinnamon-desktop-data (>= 5.2),
 cinnamon-session-common (= ${source:Version}),
 default-dbus-session-bus | dbus-session-bus,
 upower,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: cinnamon-l10n (>= 5.2)
Breaks:
 cinnamon (<< 5.2~),
 cinnamon-core (<< 5.2~),
Provides: x-session-manager
Description: Cinnamon Session Manager - Minimal runtime
 The Cinnamon Session Manager is in charge of starting the core components
 of the Cinnamon desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the binaries for the Cinnamon Session Manager, but
 no startup scripts. It is meant for those willing to start
 cinnamon-session by hand with the components of their choice, and for
 applications such as MDM that use cinnamon-session internally.

Package: cinnamon-session-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Cinnamon Session Manager - common files
 The Cinnamon Session Manager is in charge of starting the core components
 of the Cinnamon desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the translations, data files and startup scripts
 which are common to the Cinnamon and Cinnamon fallback sessions.

## cinnamon-session 5.6.0%2Belsie

=== debian/changelog ===
cinnamon-session (5.6.0+elsie) vera; urgency=medium

  [ Rick Calixte ]
  * Fix .gitignore for builds

  [ Leigh Scott ]
  * Accept Desktop Entry Specification v1.5 (#153)

  [ Michael Webster ]
  * Use github instead of circleci.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 16 Nov 2022 11:27:58 +0000

cinnamon-session (5.4.0) vanessa; urgency=medium

  [ Michael Webster ]
  * Remove gconf code, disable docs, remove doc dependencies.

  [ Clement Lefebvre ]
  * CI: Update targets

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jun 2022 15:08:45 +0200

## cinnamon-session 5.6.0%2Bvera

=== debian/changelog ===
cinnamon-session (5.6.0+vera) vera; urgency=medium

  [ Rick Calixte ]
  * Fix .gitignore for builds

  [ Leigh Scott ]
  * Accept Desktop Entry Specification v1.5 (#153)

  [ Michael Webster ]
  * Use github instead of circleci.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 16 Nov 2022 11:27:58 +0000

## cinnamon-session 5.6.0+vera

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,22 @@
 Source: cinnamon-session
 Section: x11
 Priority: optional
-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
-Uploaders:
- Maximiliano Curia <maxy@debian.org>,
- Margarita Manterola <marga@debian.org>,
- Fabio Fantoni <fantonifabio@tiscali.it>,
- Norbert Preining <norbert@preining.info>,
- Joshua Peisach <itzswirlz2020@outlook.com>,
- Christoph Martin <martin@uni-mainz.de>
+Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends:
- debhelper-compat (= 13),
- gnome-pkg-tools,
- intltool,
+ debhelper (>= 11.1~),
+ gnome-pkg-tools (>= 0.13),
+ intltool (>= 0.40.6),
  libcanberra-dev,
  libgl1-mesa-dev,
- libglib2.0-dev,
- libgtk-3-dev,
+ libglib2.0-dev (>= 2.37.3),
+ libgtk-3-dev (>= 3.0.0),
  libice-dev,
- libjson-glib-dev,
+ libjson-glib-dev (>= 0.10),
  libsm-dev,
  libsystemd-dev [linux-any],
- libupower-glib-dev,
+ libupower-glib-dev (>= 0.9.0),
  libx11-dev,
- libxapp-dev,
+ libxapp-dev (>= 1.0.4),
  libxau-dev,
  libxcomposite-dev,
  libxext-dev,
@@ -32,25 +25,20 @@
  libxtst-dev,
  meson,
  xtrans-dev,
-Standards-Version: 4.6.1
-Rules-Requires-Root: no
-Homepage: http://cinnamon.linuxmint.com
-Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-session
-Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-session.git
+Standards-Version: 3.9.6
 
 Package: cinnamon-session
 Architecture: any
 Depends:
- cinnamon-desktop-data (>= 5.2),
+ cinnamon-desktop-data (>= 3.6),
  cinnamon-session-common (= ${source:Version}),
  default-dbus-session-bus | dbus-session-bus,
- upower,
+ upower (>= 0.9.0),
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends: cinnamon-l10n (>= 5.2)
-Breaks:
- cinnamon (<< 5.2~),
- cinnamon-core (<< 5.2~),
+Recommends: cinnamon-l10n
+Breaks: cinnamon-session-common (<< 2.2.2-5~)
+Replaces: cinnamon-session-common (<< 2.2.2-5~)
 Provides: x-session-manager
 Description: Cinnamon Session Manager - Minimal runtime
  The Cinnamon Session Manager is in charge of starting the core components

## cinnamon-session 5.8.0+victoria

=== debian/changelog ===
cinnamon-session (5.8.0+victoria) victoria; urgency=medium

  [ Michael Webster ]
  * main.c: Don't set GTK_OVERLAY_SCROLLING.
  * github workflow: Add optional ssh session.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 14:03:37 +0100

cinnamon-session (5.6.0) vera; urgency=medium

  [ Rick Calixte ]
  * Fix .gitignore for builds

  [ Leigh Scott ]
  * Accept Desktop Entry Specification v1.5 (#153)

  [ Michael Webster ]
  * Use github instead of circleci.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 16 Nov 2022 11:27:58 +0000

## cinnamon-session 5.8.1

=== debian/changelog ===
cinnamon-session (5.8.1-2) unstable; urgency=medium

  * Release to unstable

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 29 Sep 2023 13:21:57 +0200

cinnamon-session (5.8.1-1) experimental; urgency=medium

  * New upstream version 5.8.1
  * Update standards version to 4.6.2, no changes needed
  * d/patches: remove a logout issue fix that seems not needed anymore
  * Bump reverse dep breaks to 5.8
  * d/control: build-depend on libgl-dev instead of transitional
    libgl1-mesa-dev

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 14 Jul 2023 13:13:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,29 @@
 Source: cinnamon-session
 Section: x11
 Priority: optional
-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Uploaders:
+ Maximiliano Curia <maxy@debian.org>,
+ Margarita Manterola <marga@debian.org>,
+ Fabio Fantoni <fantonifabio@tiscali.it>,
+ Norbert Preining <norbert@preining.info>,
+ Joshua Peisach <itzswirlz2020@outlook.com>,
+ Christoph Martin <martin@uni-mainz.de>
 Build-Depends:
- debhelper (>= 11.1~),
- gnome-pkg-tools (>= 0.13),
- intltool (>= 0.40.6),
+ debhelper-compat (= 13),
+ gnome-pkg-tools,
+ intltool,
  libcanberra-dev,
- libgl1-mesa-dev,
- libglib2.0-dev (>= 2.37.3),
- libgtk-3-dev (>= 3.0.0),
+ libgl-dev,
+ libglib2.0-dev,
+ libgtk-3-dev,
  libice-dev,
- libjson-glib-dev (>= 0.10),
+ libjson-glib-dev,
  libsm-dev,
  libsystemd-dev [linux-any],
- libupower-glib-dev (>= 0.9.0),
+ libupower-glib-dev,
  libx11-dev,
- libxapp-dev (>= 1.0.4),
+ libxapp-dev,
  libxau-dev,
  libxcomposite-dev,
  libxext-dev,
@@ -25,20 +32,25 @@
  libxtst-dev,
  meson,
  xtrans-dev,
-Standards-Version: 3.9.6
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Homepage: http://cinnamon.linuxmint.com
+Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-session
+Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-session.git
 
 Package: cinnamon-session
 Architecture: any
 Depends:
- cinnamon-desktop-data (>= 3.6),
+ cinnamon-desktop-data (>= 5.2),
  cinnamon-session-common (= ${source:Version}),
  default-dbus-session-bus | dbus-session-bus,
- upower (>= 0.9.0),
+ upower,
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends: cinnamon-l10n
-Breaks: cinnamon-session-common (<< 2.2.2-5~)
-Replaces: cinnamon-session-common (<< 2.2.2-5~)
+Recommends: cinnamon-l10n (>= 5.2)
+Breaks:
+ cinnamon (<< 5.8~),
+ cinnamon-core (<< 5.2~),
 Provides: x-session-manager
 Description: Cinnamon Session Manager - Minimal runtime
  The Cinnamon Session Manager is in charge of starting the core components

## cinnamon-session 5.8.1+faye

=== debian/changelog ===
cinnamon-session (5.8.1+faye) victoria; urgency=medium

  [ Michael Webster ]
  * Block touchegg from autostarting.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 14 Jun 2023 09:28:39 +0200

cinnamon-session (5.8.0) victoria; urgency=medium

  [ Michael Webster ]
  * main.c: Don't set GTK_OVERLAY_SCROLLING.
  * github workflow: Add optional ssh session.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 14:03:37 +0100

## cinnamon-session 5.8.1+victoria

=== debian/changelog ===
cinnamon-session (5.8.1+victoria) victoria; urgency=medium

  [ Michael Webster ]
  * Block touchegg from autostarting.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 14 Jun 2023 09:28:39 +0200

## cinnamon-session 6.0.1+virginia

=== debian/changelog ===
cinnamon-session (6.0.1+virginia) virginia; urgency=medium

  [ Leigh Scott ]
  * autostart-app: don't try to add child watch to dbus activated (#158)
  * util: Unset some environment variables on systemd (#159)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 28 Nov 2023 11:38:15 +0000

cinnamon-session (6.0.0) virginia; urgency=medium

  [ Rick Calixte ]
  * Fix meson.build deprecations up to 0.56.0 (#155)

  [ Michael Webster ]
  * wayland: Don't use egg library
  * wayland: Replace cs-idle-monitor with gnome-idle-monitor
  * wayland: Add compatibility
  * wayland: Add DisplayServer phase
  * wayland: Reimplement logout/inhibit dialogs as a separate process
  * Clean up and unify logging for session failures
  * More cleanup - leftover includes, unused files
  * Fix build.
  * Don't make a required component failure fatal.

  [ Clement Lefebvre ]
  * On required app failure, log both the app and startup ID.

  [ Michael Webster ]
  * csm-manager: Remove maybe_restart_user_bus.
  * main.c: Don't direct logging to the journal.
  * csm-manager: Terminate the logout dialog at the beginning of the session end phase, not the end.
  * cinnamon-session-quit: Set modal.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 19 Nov 2023 14:27:17 +0000

cinnamon-session (5.8.1) victoria; urgency=medium

  [ Michael Webster ]
  * Block touchegg from autostarting.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 14 Jun 2023 09:28:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,23 @@
 Source: cinnamon-session
 Section: x11
 Priority: optional
-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
-Uploaders:
- Maximiliano Curia <maxy@debian.org>,
- Margarita Manterola <marga@debian.org>,
- Fabio Fantoni <fantonifabio@tiscali.it>,
- Norbert Preining <norbert@preining.info>,
- Joshua Peisach <itzswirlz2020@outlook.com>,
- Christoph Martin <martin@uni-mainz.de>
+Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends:
- debhelper-compat (= 13),
- gnome-pkg-tools,
- intltool,
+ debhelper (>= 11.1~),
+ gnome-pkg-tools (>= 0.13),
+ intltool (>= 0.40.6),
  libcanberra-dev,
- libgl-dev,
- libglib2.0-dev,
- libgtk-3-dev,
+ libcinnamon-desktop-dev,
+ libgl1-mesa-dev,
+ libglib2.0-dev (>= 2.37.3),
+ libgtk-3-dev (>= 3.0.0),
  libice-dev,
- libjson-glib-dev,
+ libjson-glib-dev (>= 0.10),
  libsm-dev,
  libsystemd-dev [linux-any],
- libupower-glib-dev,
+ libupower-glib-dev (>= 0.9.0),
  libx11-dev,
- libxapp-dev,
+ libxapp-dev (>= 1.0.4),
  libxau-dev,
  libxcomposite-dev,
  libxext-dev,
@@ -32,25 +26,20 @@
  libxtst-dev,
  meson,
  xtrans-dev,
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
-Homepage: http://cinnamon.linuxmint.com
-Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-session
-Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-session.git
+Standards-Version: 3.9.6
 
 Package: cinnamon-session
 Architecture: any
 Depends:
- cinnamon-desktop-data (>= 5.2),
+ cinnamon-desktop-data (>= 3.6),
  cinnamon-session-common (= ${source:Version}),
  default-dbus-session-bus | dbus-session-bus,
- upower,
+ upower (>= 0.9.0),
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends: cinnamon-l10n (>= 5.2)
-Breaks:
- cinnamon (<< 5.8~),
- cinnamon-core (<< 5.2~),
+Recommends: cinnamon-l10n
+Breaks: cinnamon-session-common (<< 2.2.2-5~)
+Replaces: cinnamon-session-common (<< 2.2.2-5~)
 Provides: x-session-manager
 Description: Cinnamon Session Manager - Minimal runtime
  The Cinnamon Session Manager is in charge of starting the core components

## cinnamon-session 6.0.2+faye

=== debian/changelog ===
cinnamon-session (6.0.2+faye) virginia; urgency=medium

  [ Clement Lefebvre ]
  * Packaging: Add missing build-dep on cinnamon-desktop

  [ Fabio Fantoni ]
  * Fix dependencies (#160)

  [ Michael Webster ]
  * session-quit: Use a unique dialog server address for each session.
  * cinnamon-session-quit.py: Try the old fixed server address if the session manager doesn't provide the "sm-bus-id" argument.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jan 2024 18:35:52 +0000

cinnamon-session (6.0.1) virginia; urgency=medium

  [ Leigh Scott ]
  * autostart-app: don't try to add child watch to dbus activated (#158)
  * util: Unset some environment variables on systemd (#159)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 28 Nov 2023 11:38:15 +0000

## cinnamon-session 6.0.2+virginia

=== debian/changelog ===
cinnamon-session (6.0.2+virginia) virginia; urgency=medium

  [ Clement Lefebvre ]
  * Packaging: Add missing build-dep on cinnamon-desktop

  [ Fabio Fantoni ]
  * Fix dependencies (#160)

  [ Michael Webster ]
  * session-quit: Use a unique dialog server address for each session.
  * cinnamon-session-quit.py: Try the old fixed server address if the session manager doesn't provide the "sm-bus-id" argument.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jan 2024 18:35:52 +0000

## cinnamon-session 6.0.3+virginia

=== debian/changelog ===
cinnamon-session (6.0.3+virginia) virginia; urgency=medium

  [ Michael Webster ]
  * csm-manager.c: Use the /tmp dir for the dialog server's socket file when logged in to a guest account.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 30 Jan 2024 13:54:47 +0000

cinnamon-session (6.0.2) virginia; urgency=medium

  [ Clement Lefebvre ]
  * Packaging: Add missing build-dep on cinnamon-desktop

  [ Fabio Fantoni ]
  * Fix dependencies (#160)

  [ Michael Webster ]
  * session-quit: Use a unique dialog server address for each session.
  * cinnamon-session-quit.py: Try the old fixed server address if the session manager doesn't provide the "sm-bus-id" argument.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jan 2024 18:35:52 +0000

## cinnamon-session 6.0.3+wilma

=== debian/changelog ===
cinnamon-session (6.0.3+wilma) virginia; urgency=medium

  [ Michael Webster ]
  * csm-manager.c: Use the /tmp dir for the dialog server's socket file when logged in to a guest account.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 30 Jan 2024 13:54:47 +0000

## cinnamon-session 6.0.4

=== debian/changelog ===
cinnamon-session (6.0.4-2) unstable; urgency=medium

  * Release to unstable

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 31 Mar 2024 14:24:48 +0200

cinnamon-session (6.0.4-1) experimental; urgency=medium

  * New upstream version 6.0.4
  * d/control: add libcinnamon-desktop-dev to build-deps
  * Bump deps and reverse dep breaks to 6.0
  * Update d/copyright
  * Add python and gir depends for new cinnamon-session-quit.py
    (Closes: #1059940)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 11 Feb 2024 13:58:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,31 @@
 Source: cinnamon-session
 Section: x11
 Priority: optional
-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Uploaders:
+ Maximiliano Curia <maxy@debian.org>,
+ Margarita Manterola <marga@debian.org>,
+ Fabio Fantoni <fantonifabio@tiscali.it>,
+ Norbert Preining <norbert@preining.info>,
+ Joshua Peisach <itzswirlz2020@outlook.com>,
+ Christoph Martin <martin@uni-mainz.de>
 Build-Depends:
- debhelper (>= 11.1~),
- gnome-pkg-tools (>= 0.13),
- intltool (>= 0.40.6),
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ gnome-pkg-tools,
+ intltool,
  libcanberra-dev,
- libcinnamon-desktop-dev,
- libgl1-mesa-dev,
- libglib2.0-dev (>= 2.37.3),
- libgtk-3-dev (>= 3.0.0),
+ libcinnamon-desktop-dev (>= 6.0),
+ libgl-dev,
+ libglib2.0-dev,
+ libgtk-3-dev,
  libice-dev,
- libjson-glib-dev (>= 0.10),
+ libjson-glib-dev,
  libsm-dev,
  libsystemd-dev [linux-any],
- libupower-glib-dev (>= 0.9.0),
+ libupower-glib-dev,
  libx11-dev,
- libxapp-dev (>= 1.0.4),
+ libxapp-dev,
  libxau-dev,
  libxcomposite-dev,
  libxext-dev,
@@ -26,20 +34,34 @@
  libxtst-dev,
  meson,
  xtrans-dev,
-Standards-Version: 3.9.6
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Homepage: http://cinnamon.linuxmint.com
+Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-session
+Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-session.git
 
 Package: cinnamon-session
 Architecture: any
 Depends:
- cinnamon-desktop-data (>= 3.6),
+ cinnamon-desktop-data (>= 6.0),
  cinnamon-session-common (= ${source:Version}),
  default-dbus-session-bus | dbus-session-bus,
- upower (>= 0.9.0),
+ gir1.2-gdk-3.0,
+ gir1.2-gio-2.0,
+ gir1.2-glib-2.0,
+ gir1.2-gtk-3.0,
+ gir1.2-xapp-1.0,
+ python3-gi,
+ python3-setproctitle,
+ upower,
+ ${gir:Depends},
  ${misc:Depends},
+ ${python3:Depends},
  ${shlibs:Depends},
-Recommends: cinnamon-l10n
-Breaks: cinnamon-session-common (<< 2.2.2-5~)
-Replaces: cinnamon-session-common (<< 2.2.2-5~)
+Recommends: cinnamon-l10n (>= 5.2)
+Breaks:
+ cinnamon (<< 6.0~),
+ cinnamon-core (<< 5.2~),
 Provides: x-session-manager
 Description: Cinnamon Session Manager - Minimal runtime
  The Cinnamon Session Manager is in charge of starting the core components

## cinnamon-session 6.0.4+faye

=== debian/changelog ===
cinnamon-session (6.0.4+faye) virginia; urgency=medium

  [ Michael Webster ]
  * cinnamon-session-quit.py: Set logout window to keep-above and all- workspaces.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Feb 2024 14:12:41 +0000

cinnamon-session (6.0.3) virginia; urgency=medium

  [ Michael Webster ]
  * csm-manager.c: Use the /tmp dir for the dialog server's socket file when logged in to a guest account.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 30 Jan 2024 13:54:47 +0000

## cinnamon-session 6.0.4+virginia

=== debian/changelog ===
cinnamon-session (6.0.4+virginia) virginia; urgency=medium

  [ Michael Webster ]
  * cinnamon-session-quit.py: Set logout window to keep-above and all- workspaces.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Feb 2024 14:12:41 +0000

## cinnamon-session 6.2.0+wilma

=== debian/changelog ===
cinnamon-session (6.2.0+wilma) wilma; urgency=medium

  [ Bobby Rong ]
  * cinnamon-session: make sure wayland sessions get a login shell (#161)

  [ Matt Turnbull ]
  * Remove orphaned include (#164)

  [ Michael Webster ]
  * cinnamon-session-quit.py: Set logout window to keep-above and all- workspaces.
  * cs-presence.c: Fix CsmPresence idle handling.
  * csm-manager.c: Stop the user dbus-daemon at the end of the session.
  * main.c: Reset the activation environment at the end of the session.
  * csm-manager.c: Unset WAYLAND_DISPLAY during shutdown in a wayland session.

  [ fredcw ]
  * cinnamon-session-quit.py: add missing window icon (#170)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Jun 2024 15:41:40 +0100

## cinnamon-session 6.2.1

=== debian/changelog ===
cinnamon-session (6.2.1-1) unstable; urgency=medium

  [ Joshua Peisach ]
  * New upstream version 6.2.1
  * Bump deps and reverse dep breaks to 6.2

  [ Fabio Fantoni ]
  * Add d/README.source with a wiki link with details about packaging
  * Update standards version to 4.7.0, no changes needed

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 04 Oct 2024 18:48:15 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  gnome-pkg-tools,
  intltool,
  libcanberra-dev,
- libcinnamon-desktop-dev (>= 6.0),
+ libcinnamon-desktop-dev (>= 6.2),
  libgl-dev,
  libglib2.0-dev,
  libgtk-3-dev,
@@ -34,7 +34,7 @@
  libxtst-dev,
  meson,
  xtrans-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://cinnamon.linuxmint.com
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-session
@@ -43,7 +43,7 @@
 Package: cinnamon-session
 Architecture: any
 Depends:
- cinnamon-desktop-data (>= 6.0),
+ cinnamon-desktop-data (>= 6.2),
  cinnamon-session-common (= ${source:Version}),
  default-dbus-session-bus | dbus-session-bus,
  gir1.2-gdk-3.0,
@@ -60,7 +60,7 @@
  ${shlibs:Depends},
 Recommends: cinnamon-l10n (>= 5.2)
 Breaks:
- cinnamon (<< 6.0~),
+ cinnamon (<< 6.2~),
  cinnamon-core (<< 5.2~),
 Provides: x-session-manager
 Description: Cinnamon Session Manager - Minimal runtime

## cinnamon-session 6.2.1+faye

=== debian/changelog ===
cinnamon-session (6.2.1+faye) wilma; urgency=medium

  [ Leigh Scott ]
  * Fix restart and shutdown (#172)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 19 Jul 2024 14:51:34 +0100

cinnamon-session (6.2.0) wilma; urgency=medium

  [ Bobby Rong ]
  * cinnamon-session: make sure wayland sessions get a login shell (#161)

  [ Matt Turnbull ]
  * Remove orphaned include (#164)

  [ Michael Webster ]
  * cinnamon-session-quit.py: Set logout window to keep-above and all- workspaces.
  * cs-presence.c: Fix CsmPresence idle handling.
  * csm-manager.c: Stop the user dbus-daemon at the end of the session.
  * main.c: Reset the activation environment at the end of the session.
  * csm-manager.c: Unset WAYLAND_DISPLAY during shutdown in a wayland session.

  [ fredcw ]
  * cinnamon-session-quit.py: add missing window icon (#170)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Jun 2024 15:41:40 +0100

## cinnamon-session 6.2.1+wilma

=== debian/changelog ===
cinnamon-session (6.2.1+wilma) wilma; urgency=medium

  [ Leigh Scott ]
  * Fix restart and shutdown (#172)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 19 Jul 2024 14:51:34 +0100

## cinnamon-session 6.4.0

=== debian/changelog ===
cinnamon-session (6.4.0-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind
  * Use consolekit 

 -- anticapitalista <antix@operamail.com>  Tue, 25 Feb 2025 18:28:59 +0200

cinnamon-session (6.4.0-1) unstable; urgency=medium

  * New upstream version 6.4.0
  * d/gbp.conf: switch to DEP-14 and other improvements
  * d/control: replace old site in homepage with upstream repository
  * Bump deps and reverse dep breaks to 6.4

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 19 Jan 2025 16:21:26 +0100

=== debian/control ===
--- 
+++ 
@@ -15,14 +15,13 @@
  gnome-pkg-tools,
  intltool,
  libcanberra-dev,
- libcinnamon-desktop-dev (>= 6.2),
+ libcinnamon-desktop-dev (>= 6.4),
  libgl-dev,
  libglib2.0-dev,
  libgtk-3-dev,
  libice-dev,
  libjson-glib-dev,
  libsm-dev,
- libsystemd-dev [linux-any],
  libupower-glib-dev,
  libx11-dev,
  libxapp-dev,
@@ -36,14 +35,14 @@
  xtrans-dev,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: http://cinnamon.linuxmint.com
+Homepage: https://github.com/linuxmint/cinnamon-session
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-session
 Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-session.git
 
 Package: cinnamon-session
 Architecture: any
 Depends:
- cinnamon-desktop-data (>= 6.2),
+ cinnamon-desktop-data (>= 6.4),
  cinnamon-session-common (= ${source:Version}),
  default-dbus-session-bus | dbus-session-bus,
  gir1.2-gdk-3.0,
@@ -60,7 +59,7 @@
  ${shlibs:Depends},
 Recommends: cinnamon-l10n (>= 5.2)
 Breaks:
- cinnamon (<< 6.2~),
+ cinnamon (<< 6.4~),
  cinnamon-core (<< 5.2~),
 Provides: x-session-manager
 Description: Cinnamon Session Manager - Minimal runtime

## cinnamon-session 6.4.0%2Bxia

=== debian/changelog ===
cinnamon-session (6.4.0+xia) xia; urgency=medium

  [ Clement Lefebvre ]
  * autostart: Blacklist nm-applet

  [ Michael Webster ]
  * Refactor/simplify end-session dialog handling to use a native- (#177)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 Nov 2024 09:23:18 +0000

cinnamon-session (6.2.1) wilma; urgency=medium

  [ Leigh Scott ]
  * Fix restart and shutdown (#172)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 19 Jul 2024 14:51:34 +0100

## cinnamon-session 6.4.0+faye

=== debian/changelog ===
cinnamon-session (6.4.0+faye) xia; urgency=medium

  [ Clement Lefebvre ]
  * autostart: Blacklist nm-applet

  [ Michael Webster ]
  * Refactor/simplify end-session dialog handling to use a native- (#177)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 Nov 2024 09:23:18 +0000

## cinnamon-session 6.4.1

=== debian/changelog ===
cinnamon-session (6.4.1-1) unstable; urgency=medium

  * New upstream version 6.4.1 (Closes: #1111993)
  * update d/copyright

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 06 Sep 2025 13:37:07 +0200

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  libice-dev,
  libjson-glib-dev,
  libsm-dev,
+ libsystemd-dev [linux-any],
  libupower-glib-dev,
  libx11-dev,
  libxapp-dev,

## cinnamon-session 6.4.1+gigi

=== debian/changelog ===
cinnamon-session (6.4.1+gigi) gigi; urgency=medium

  [ Michael Webster ]
  * csm-manager.c: Clear system inhibitors before attempting to restart or shutdown using systemd.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 05 Sep 2025 16:42:40 +0100

cinnamon-session (6.4.0) xia; urgency=medium

  [ Clement Lefebvre ]
  * autostart: Blacklist nm-applet

  [ Michael Webster ]
  * Refactor/simplify end-session dialog handling to use a native- (#177)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 Nov 2024 09:23:18 +0000

## cinnamon-session 6.4.2

=== meson_options.txt ===
option('frequent_warnings',  type: 'boolean', value: false)
option('ipv6',               type: 'boolean', value: true)
option('xtrans',             type: 'boolean', value: true)

=== debian/changelog ===
cinnamon-session (6.4.2-1) unstable; urgency=medium

  * New upstream version 6.4.2
  * debian/55cinnamon-session_gnomerc:
    XDG_DATA_DIRS: Do not include /usr/share/gnome
  * Update standards version to 4.7.2, no changes needed
  * d/salsa-ci.yml: enable licenserecon

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 12 Oct 2025 14:07:30 +0200

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
  libxtst-dev,
  meson,
  xtrans-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/linuxmint/cinnamon-session
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-session

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    -Dfrequent_warnings=true \
	    -Dipv6=true \
	    -Dxtrans=true \
	    --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/cinnamon-session

=== debian/watch ===
version=4
https://github.com/linuxmint/cinnamon-session/tags (?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## cinnamon-session 6.4.2+gigi

=== debian/changelog ===
cinnamon-session (6.4.2+gigi) gigi; urgency=medium

  * XDG_DATA_DIRS: Do not include /usr/share/gnome

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 14 Sep 2025 16:01:21 +0100

cinnamon-session (6.4.1) gigi; urgency=medium

  [ Michael Webster ]
  * csm-manager.c: Clear system inhibitors before attempting to restart or shutdown using systemd.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 05 Sep 2025 16:42:40 +0100

## cinnamon-session 6.6.0+zena

=== debian/changelog ===
cinnamon-session (6.6.0+zena) zena; urgency=medium

  [ Michael Webster ]
  * csm-manager.c: Add functionality to restart the cinnamon-launcher (#184)

  [ SimonBenito ]
  * Fixes cinnamon-session-quit --logout --no-prompt --force not working (#183)

  [ Leigh Scott ]
  * Remove old upower support to match c-s-d commits (#185)

  [ Michael Webster ]
  * csm-manager.c: Don't consider suspend inhibitors when gathering capabilities for the logout dialog.
  * csm-manager.c: Clear system inhibitors before attempting to restart or shutdown using systemd.

  [ Clement Lefebvre ]
  * XDG_DATA_DIRS: Do not include /usr/share/gnome
  * Switch to XApp symbolic icons
  * Switch to xapp-symbolic-icons (XSI)
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Nov 2025 14:20:08 +0000

## cinnamon-session 6.6.1%2Bgigi

=== debian/changelog ===
cinnamon-session (6.6.1+gigi) zena; urgency=medium

  [ Leigh Scott ]
  * Set env for qt ibus (#191)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Dec 2025 14:28:33 +0000

cinnamon-session (6.6.0) zena; urgency=medium

  [ Michael Webster ]
  * csm-manager.c: Add functionality to restart the cinnamon-launcher (#184)

  [ SimonBenito ]
  * Fixes cinnamon-session-quit --logout --no-prompt --force not working (#183)

  [ Leigh Scott ]
  * Remove old upower support to match c-s-d commits (#185)

  [ Michael Webster ]
  * csm-manager.c: Don't consider suspend inhibitors when gathering capabilities for the logout dialog.
  * csm-manager.c: Clear system inhibitors before attempting to restart or shutdown using systemd.

  [ Clement Lefebvre ]
  * XDG_DATA_DIRS: Do not include /usr/share/gnome
  * Switch to XApp symbolic icons
  * Switch to xapp-symbolic-icons (XSI)
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Nov 2025 14:20:08 +0000

## cinnamon-session 6.6.1+zena

=== debian/changelog ===
cinnamon-session (6.6.1+zena) zena; urgency=medium

  [ Leigh Scott ]
  * Set env for qt ibus (#191)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Dec 2025 14:28:33 +0000

=== debian/control ===
Source: cinnamon-session
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 debhelper (>= 11.1~),
 dh-sequence-python3,
 gnome-pkg-tools (>= 0.13),
 intltool (>= 0.40.6),
 libcanberra-dev,
 libcinnamon-desktop-dev (>= 6.0),
 libgl1-mesa-dev,
 libglib2.0-dev (>= 2.37.3),
 libgtk-3-dev (>= 3.0.0),
 libice-dev,
 libjson-glib-dev (>= 0.10),
 libsm-dev,
 libsystemd-dev [linux-any],
 libupower-glib-dev (>= 0.99.11),
 libx11-dev,
 libxapp-dev (>= 1.0.4),
 libxau-dev,
 libxcomposite-dev,
 libxext-dev,
 libxrender-dev,
 libxt-dev,
 libxtst-dev,
 meson,
 xtrans-dev,
Standards-Version: 3.9.6

Package: cinnamon-session
Architecture: any
Depends:
 cinnamon-desktop-data (>= 6.0),
 cinnamon-session-common (= ${source:Version}),
 default-dbus-session-bus | dbus-session-bus,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-xapp-1.0,
 python3-gi,
 python3-setproctitle,
 upower (>= 0.99.11),
 ${gir:Depends},
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends: cinnamon-l10n
Breaks: cinnamon-session-common (<< 2.2.2-5~)
Replaces: cinnamon-session-common (<< 2.2.2-5~)
Provides: x-session-manager
Description: Cinnamon Session Manager - Minimal runtime
 The Cinnamon Session Manager is in charge of starting the core components
 of the Cinnamon desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the binaries for the Cinnamon Session Manager, but
 no startup scripts. It is meant for those willing to start
 cinnamon-session by hand with the components of their choice, and for
 applications such as MDM that use cinnamon-session internally.

Package: cinnamon-session-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Cinnamon Session Manager - common files
 The Cinnamon Session Manager is in charge of starting the core components
 of the Cinnamon desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the translations, data files and startup scripts
 which are common to the Cinnamon and Cinnamon fallback sessions.

## cinnamon-session 6.6.2+gigi

=== debian/changelog ===
cinnamon-session (6.6.2+gigi) zena; urgency=medium

  [ Michael Webster ]
  * csm-manager.c: Fix the suspend action enum when blocked by an inhibitor.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 09 Feb 2026 16:24:32 +0000

cinnamon-session (6.6.1) zena; urgency=medium

  [ Leigh Scott ]
  * Set env for qt ibus (#191)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Dec 2025 14:28:33 +0000

## cinnamon-session 6.6.2+zena

=== debian/changelog ===
cinnamon-session (6.6.2+zena) zena; urgency=medium

  [ Michael Webster ]
  * csm-manager.c: Fix the suspend action enum when blocked by an inhibitor.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 09 Feb 2026 16:24:32 +0000

## cinnamon-session 6.6.3+gigi

=== debian/changelog ===
cinnamon-session (6.6.3+gigi) zena; urgency=medium

  [ Michael Webster ]
  * .github/workflows: Update build.yml with generate-test-packages.
  * csm-manager.c: Close the end-session dialog before trying to lock (#199)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Feb 2026 16:26:06 +0000

cinnamon-session (6.6.2) zena; urgency=medium

  [ Michael Webster ]
  * csm-manager.c: Fix the suspend action enum when blocked by an inhibitor.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 09 Feb 2026 16:24:32 +0000

## cinnamon-session 6.6.3+zena

=== debian/changelog ===
cinnamon-session (6.6.3+zena) zena; urgency=medium

  [ Michael Webster ]
  * .github/workflows: Update build.yml with generate-test-packages.
  * csm-manager.c: Close the end-session dialog before trying to lock (#199)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Feb 2026 16:26:06 +0000
